#!/bin/bash

cd -- "$(dirname -- "$0")" || exit
_DIRNAME="$(pwd)"

_URL=$(grep -Ev "^#" ./bookmarks | rofi -dmenu -i -p Bookmarks)

if [[ "$_URL" == "edit" ]]
then
  urxvt -e nvim /usr/local/share/dotfiles/scripts/bookmarks
  exit 0
fi


if [[ -n $_URL ]]
then
  firefox "$(awk '{print $1}' <<< "$_URL")"
fi
